class WizardTrailSparkle {
	constructor(game, x, y, r){
		this.game = game;
		
		// Rendering
		this.layer = "background";
		this.texture = game.textures.projectiles;
		this.map = game.atlas.particles.wizardTrail;
		
		// Scale
		this.scale = 5;
		
		// Physics
		this.x = x;
		this.y = y;
		this.r = r;
		this.vx = (Math.random() * 2 - 1) * 0.1;
		this.vy = (Math.random() * 2 - 1) * 0.1;
		this.vr = (Math.random() * 2 - 1) * 10;
		
		// Footstep Particle
		this.maxLife = 1;
		this.life = this.maxLife;
	}
	
	
	update(delta){
		// Physics
		this.x += this.vx * delta * 60;
		this.y += this.vy * delta * 60;
		this.r += this.vr * delta * 60;
		
		return this.life -= delta;
	}
	
	
	draw(context, textures, atlas){
		var texture = this.texture,
			map = this.map;
		
		this.size = this.life/this.maxLife * this.scale;
		
		context.save();
		context.translate(this.x, this.y);
		context.rotate(this.r/180*Math.PI);
		
		context.drawImage(texture, map[0], map[1], map[2], map[3], -this.size/2, -this.size/2, this.size, this.size);

		context.restore();
	}
}
